m0byd1ck

m0byd1ck

8,302 downloads

6,954 latest version

5.0 quality score

Version information

  • 1.0.3 (latest)
  • 1.0.1
  • 1.0.0
released Nov 18th 2015
This version is compatible with:
  • Puppet Enterprise >= 3.0.0
  • Puppet >= 3.0.0
  • RedHat
    ,
    CentOS
    ,
    Scientific

Start using this module

Documentation

m0byd1ck/nux — version 1.0.3 Nov 18th 2015

Puppet Nux Module

Table of Contents

  1. Description
  2. Setup
  3. Usage
  4. Limitations
  5. Development
  6. Further Information

Description

The following repo will be setup and enabled by default:

  • nux-desktop

Other repositories that will setup but disabled

  • nux-desktop-testing
  • nux-misc
  • nux-misc-testing

Setup

Setup Requirements

None

Beginning with nux module

include nux

Usage

class {'nux':
    nux_desktop           => [
        'enabled'    => '1',
        'gpgcheck'   => '1',
        'baseurl'    => "http://li.nux.ro/download/nux/dextop/el7/x86_64/ http://mirror.li.nux.ro/li.nux.ro/nux/dextop/el7/x86_64/",
        'include'    => ['package1', 'package*', 'package?'],
        'exclude'    => ['package1', 'package*', 'package?']
      ],
      nux_desktop_testing  => [
        'enabled'    => '0',
        'gpgcheck'   => '1',
        'baseurl'    => "http://li.nux.ro/download/nux/dextop-testing/el7/x86_64/",
        'include'    => ['package1', 'package*', 'package?'],
        'exclude'    => ['package1', 'package*', 'package?']
      ],
      nux_misc => [
        'enabled'    => '0',
        'gpgcheck'   => '1',
        'baseurl'    => "http://li.nux.ro/download/nux/misc/el7/x86_64/ http://mirror.li.nux.ro/li.nux.ro/nux/misc/el7/x86_64/",
        'include'    => ['package1', 'package*', 'package?'],
        'exclude'    => ['package1', 'package*', 'package?']
      ],
      nux_misc_testing => [
        'enabled'    => '0',
        'gpgcheck'   => '1',
        'baseurl'    => "http://li.nux.ro/download/nux/misc-testing/el7/x86_64/",
        'include'    => ['package1', 'package*', 'package?'],
        'exclude'    => ['package1', 'package*', 'package?']
      ]
}

Limitations

  • This was tested using Puppet 3.8.2 on CentOS 7
  • Use at your own risk, I do not offer any guarantee or warranty

Development

Please create a pull request via GitHub

Futher Information